using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyDataModels.Enums;
using TypographyDataModels.Models;
using System.ComponentModel;


namespace TypographyContracts.ViewModels
{
    public  class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }
        public int PrintedId { get; set; }
        [DisplayName("Изделие")]
        public string PrintedName { get; set; } = string.Empty;
        public int ClientId { get; set; }
        [DisplayName("ФИО Клиента")]
        public string ClientFIO { get; set; } = string.Empty;
        public int? ImplementerId { get; set; }
        [DisplayName("ФИО работника")]
        public string ImplementerFIO { get; set; } = string.Empty;
        [DisplayName("Количество")]
        public int Count { get; set; }
        [DisplayName("Сумма")]
        public double Sum { get; set; }
        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }
    }
}
